Subject: Getting started

From: "Jordan, Shane" <[email-masked]>
Date: Tue, 26 Sep 2000 10:20:14 -0500

Ok I have a older Indy box here and I was wondering what I need to do to get
this thing running Linux.  From what I understand you have to have Irix
already installed on it.  Unfortunently we just threw a new harddrive in
with nothing on it and we don't have a copy of Irix.  Is there anyway to
install Linux on this badboy from scratch?  I'm willing to help our with
making binary package's ect if I can just get this thing booting into linux!
Any ideas, cd's ect?
Shane Jordan

---

From: Keith M Wesolowski <[email-masked]>
Date: Tue, 26 Sep 2000 10:33:14 -0700

> making binary package's ect if I can just get this thing booting into linux!

Afaik there are still no CDs you can use. However, it is not true that
you need Irix. The current problem is lack of a bootloader. So most
people just boot over the network and then use local disk. Another
option, the one that requires Irix, calls for placing a Linux kernel
in an Irix efs filesystem. A third option, not terribly easy to do
without Irix, calls for placing an entire Linux kernel in the boot
block. I recommend netbooting for now, especially if you don't have
Irix.

There are several distributions of varying non-production quality
available. Start with the HOWTO at
http://oss.sgi.com/mips/mips-howto.html. For some reason, my distro
isn't included in that document even though I wrote a piece for it
(Ralf?), so see also http://foobazco.org/~wesolows/Install-HOWTO.html
- note that 0.2b is out but already getting fairly old. I know for a
fact that you can install it without Irix because that's what I did
from day one.

-- 
Keith M Wesolowski			[email-masked]
University of Nevada			http://www.chem.unr.edu
Chemistry Department Systems and Network Administrator

---

From: "Erik Aderstedt" <[email-masked]>
Date: Wed, 27 Sep 2000 07:05:09 +0200

> fact that you can install it without Irix because that's what I did

I'd really like to try out your distribution (I want to use a diskless Indy
as an X terminal) but the latest version I can find at your FTP site is 0.2a
and there are messages all over the place saying "0.2a is broken, don't use
it!". What gives?

Erik
------
Erik Aderstedt [email-masked]
Chalmers University of Technology
Solid State Electronics Laboratory

---

From: Keith M Wesolowski <[email-masked]>
Date: Wed, 27 Sep 2000 10:27:53 -0700

> and there are messages all over the place saying "0.2a is broken, don't use

Hmmm, poor documentation. All the more recent stuff is now at
ftp://oss.sgi.com/pub/linux/mips/mips-linux/simple/.